<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:20:16 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>DeploymentPackage.Literals (org.eclipse.papyrus.designer.deployment.profile 0.7.5-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DeploymentPackage.Literals (org.eclipse.papyrus.designer.deployment.profile 0.7.5-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DeploymentPackage.Literals.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.html" title="interface in org.eclipse.papyrus.designer.deployment.profile.Deployment"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPlan.html" title="interface in org.eclipse.papyrus.designer.deployment.profile.Deployment"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html" target="_top">Frames</a></li>
<li><a href="DeploymentPackage.Literals.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.deployment.profile.Deployment</div>
<h2 title="Interface DeploymentPackage.Literals" class="title">Interface DeploymentPackage.Literals</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing interface:</dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.html" title="interface in org.eclipse.papyrus.designer.deployment.profile.Deployment">DeploymentPackage</a></dd>
</dl>
<hr>
<br>
<pre>public static interface <span class="typeNameLabel">DeploymentPackage.Literals</span></pre>
<div class="block"><!-- begin-user-doc -->
 Defines literals for the meta objects that represent
 <ul>
   <li>each class,</li>
   <li>each feature of each class,</li>
   <li>each operation of each class,</li>
   <li>each enum,</li>
   <li>and each data type</li>
 </ul>
 <!-- end-user-doc --></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html#AUTO_INDEX">AUTO_INDEX</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/AutoIndexImpl.html" title="class in org.eclipse.papyrus.designer.deployment.profile.Deployment.impl"><code><em>Auto Index</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html#AUTO_INDEX__BASE_PROPERTY">AUTO_INDEX__BASE_PROPERTY</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Property</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html#AUTO_INDEX_PER_NODE">AUTO_INDEX_PER_NODE</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/AutoIndexPerNodeImpl.html" title="class in org.eclipse.papyrus.designer.deployment.profile.Deployment.impl"><code><em>Auto Index Per Node</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html#AUTO_INDEX_PER_NODE__BASE_PROPERTY">AUTO_INDEX_PER_NODE__BASE_PROPERTY</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Property</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html#CONFIGURATION_PROPERTY">CONFIGURATION_PROPERTY</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/ConfigurationPropertyImpl.html" title="class in org.eclipse.papyrus.designer.deployment.profile.Deployment.impl"><code><em>Configuration Property</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html#CONFIGURATION_PROPERTY__BASE_PROPERTY">CONFIGURATION_PROPERTY__BASE_PROPERTY</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Property</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html#COPY_ATTRIBUTE_VALUE">COPY_ATTRIBUTE_VALUE</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/CopyAttributeValueImpl.html" title="class in org.eclipse.papyrus.designer.deployment.profile.Deployment.impl"><code><em>Copy Attribute Value</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html#COPY_ATTRIBUTE_VALUE__BASE_PROPERTY">COPY_ATTRIBUTE_VALUE__BASE_PROPERTY</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Property</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html#COPY_ATTRIBUTE_VALUE__SOURCE">COPY_ATTRIBUTE_VALUE__SOURCE</a></span></code>
<div class="block">The meta object literal for the '<em><b>Source</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html#DEPLOYMENT_PLAN">DEPLOYMENT_PLAN</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/DeploymentPlanImpl.html" title="class in org.eclipse.papyrus.designer.deployment.profile.Deployment.impl"><code><em>Plan</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html#DEPLOYMENT_PLAN__BASE_PACKAGE">DEPLOYMENT_PLAN__BASE_PACKAGE</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Package</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html#DEPLOYMENT_PLAN__CHAIN">DEPLOYMENT_PLAN__CHAIN</a></span></code>
<div class="block">The meta object literal for the '<em><b>Chain</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html#DEPLOYMENT_PLAN__PROJECT_MAPPINGS">DEPLOYMENT_PLAN__PROJECT_MAPPINGS</a></span></code>
<div class="block">The meta object literal for the '<em><b>Project Mappings</b></em>' attribute list feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html#IMPLEMENTATION_PROPERTIES">IMPLEMENTATION_PROPERTIES</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/ImplementationPropertiesImpl.html" title="class in org.eclipse.papyrus.designer.deployment.profile.Deployment.impl"><code><em>Implementation Properties</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html#IMPLEMENTATION_PROPERTIES__ARCH">IMPLEMENTATION_PROPERTIES__ARCH</a></span></code>
<div class="block">The meta object literal for the '<em><b>Arch</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html#IMPLEMENTATION_PROPERTIES__BASE_CLASS">IMPLEMENTATION_PROPERTIES__BASE_CLASS</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Class</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html#IMPLEMENTATION_PROPERTIES__SIZE_RAM">IMPLEMENTATION_PROPERTIES__SIZE_RAM</a></span></code>
<div class="block">The meta object literal for the '<em><b>Size Ram</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html#IMPLEMENTATION_PROPERTIES__SIZE_ROM">IMPLEMENTATION_PROPERTIES__SIZE_ROM</a></span></code>
<div class="block">The meta object literal for the '<em><b>Size ROM</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html#IMPLEMENTATION_PROPERTIES__SUPPORTED_OS">IMPLEMENTATION_PROPERTIES__SUPPORTED_OS</a></span></code>
<div class="block">The meta object literal for the '<em><b>Supported OS</b></em>' reference list feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html#INIT_PRECEDENCE">INIT_PRECEDENCE</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/InitPrecedenceImpl.html" title="class in org.eclipse.papyrus.designer.deployment.profile.Deployment.impl"><code><em>Init Precedence</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html#INIT_PRECEDENCE__BASE_CLASS">INIT_PRECEDENCE__BASE_CLASS</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Class</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html#INIT_PRECEDENCE__INVOKE_AFTER">INIT_PRECEDENCE__INVOKE_AFTER</a></span></code>
<div class="block">The meta object literal for the '<em><b>Invoke After</b></em>' reference list feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html#INIT_PRECEDENCE__INVOKE_BEFORE">INIT_PRECEDENCE__INVOKE_BEFORE</a></span></code>
<div class="block">The meta object literal for the '<em><b>Invoke Before</b></em>' reference list feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html#INSTANCE_CONFIGURATOR">INSTANCE_CONFIGURATOR</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/InstanceConfiguratorImpl.html" title="class in org.eclipse.papyrus.designer.deployment.profile.Deployment.impl"><code><em>Instance Configurator</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html#INSTANCE_CONFIGURATOR__BASE_CLASS">INSTANCE_CONFIGURATOR__BASE_CLASS</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Class</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html#INSTANCE_CONFIGURATOR__ON_NODE_MODEL">INSTANCE_CONFIGURATOR__ON_NODE_MODEL</a></span></code>
<div class="block">The meta object literal for the '<em><b>On Node Model</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html#OPERATING_SYSTEM">OPERATING_SYSTEM</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/OperatingSystemImpl.html" title="class in org.eclipse.papyrus.designer.deployment.profile.Deployment.impl"><code><em>Operating System</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html#OPERATING_SYSTEM__BASE_CLASS">OPERATING_SYSTEM__BASE_CLASS</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Class</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html#SINGLETON">SINGLETON</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/SingletonImpl.html" title="class in org.eclipse.papyrus.designer.deployment.profile.Deployment.impl"><code><em>Singleton</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html#SINGLETON__BASE_CLASS">SINGLETON__BASE_CLASS</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Class</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html#TARGET">TARGET</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/TargetImpl.html" title="class in org.eclipse.papyrus.designer.deployment.profile.Deployment.impl"><code><em>Target</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html#TARGET__AVAIL_RAM">TARGET__AVAIL_RAM</a></span></code>
<div class="block">The meta object literal for the '<em><b>Avail RAM</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html#TARGET__AVAIL_ROM">TARGET__AVAIL_ROM</a></span></code>
<div class="block">The meta object literal for the '<em><b>Avail ROM</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html#TARGET__BASE_CLASS">TARGET__BASE_CLASS</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Class</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html#TARGET__USED_OS">TARGET__USED_OS</a></span></code>
<div class="block">The meta object literal for the '<em><b>Used OS</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html#TARGET_ARCHITECTURE">TARGET_ARCHITECTURE</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/TargetArchitectureImpl.html" title="class in org.eclipse.papyrus.designer.deployment.profile.Deployment.impl"><code><em>Target Architecture</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html#TARGET_ARCHITECTURE__BASE_CLASS">TARGET_ARCHITECTURE__BASE_CLASS</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Class</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html#USE_INSTANCE_CONFIGURATOR">USE_INSTANCE_CONFIGURATOR</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/UseInstanceConfiguratorImpl.html" title="class in org.eclipse.papyrus.designer.deployment.profile.Deployment.impl"><code><em>Use Instance Configurator</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html#USE_INSTANCE_CONFIGURATOR__BASE_CLASS">USE_INSTANCE_CONFIGURATOR__BASE_CLASS</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Class</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html#USE_INSTANCE_CONFIGURATOR__CONFIGURATOR">USE_INSTANCE_CONFIGURATOR__CONFIGURATOR</a></span></code>
<div class="block">The meta object literal for the '<em><b>Configurator</b></em>' reference feature.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="CONFIGURATION_PROPERTY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CONFIGURATION_PROPERTY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass CONFIGURATION_PROPERTY</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/ConfigurationPropertyImpl.html" title="class in org.eclipse.papyrus.designer.deployment.profile.Deployment.impl"><code><em>Configuration Property</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/ConfigurationPropertyImpl.html" title="class in org.eclipse.papyrus.designer.deployment.profile.Deployment.impl"><code>ConfigurationPropertyImpl</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/DeploymentPackageImpl.html#getConfigurationProperty--"><code>DeploymentPackageImpl.getConfigurationProperty()</code></a></dd>
</dl>
</li>
</ul>
<a name="CONFIGURATION_PROPERTY__BASE_PROPERTY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CONFIGURATION_PROPERTY__BASE_PROPERTY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference CONFIGURATION_PROPERTY__BASE_PROPERTY</pre>
<div class="block">The meta object literal for the '<em><b>Base Property</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="AUTO_INDEX">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>AUTO_INDEX</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass AUTO_INDEX</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/AutoIndexImpl.html" title="class in org.eclipse.papyrus.designer.deployment.profile.Deployment.impl"><code><em>Auto Index</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/AutoIndexImpl.html" title="class in org.eclipse.papyrus.designer.deployment.profile.Deployment.impl"><code>AutoIndexImpl</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/DeploymentPackageImpl.html#getAutoIndex--"><code>DeploymentPackageImpl.getAutoIndex()</code></a></dd>
</dl>
</li>
</ul>
<a name="AUTO_INDEX__BASE_PROPERTY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>AUTO_INDEX__BASE_PROPERTY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference AUTO_INDEX__BASE_PROPERTY</pre>
<div class="block">The meta object literal for the '<em><b>Base Property</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="AUTO_INDEX_PER_NODE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>AUTO_INDEX_PER_NODE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass AUTO_INDEX_PER_NODE</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/AutoIndexPerNodeImpl.html" title="class in org.eclipse.papyrus.designer.deployment.profile.Deployment.impl"><code><em>Auto Index Per Node</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/AutoIndexPerNodeImpl.html" title="class in org.eclipse.papyrus.designer.deployment.profile.Deployment.impl"><code>AutoIndexPerNodeImpl</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/DeploymentPackageImpl.html#getAutoIndexPerNode--"><code>DeploymentPackageImpl.getAutoIndexPerNode()</code></a></dd>
</dl>
</li>
</ul>
<a name="AUTO_INDEX_PER_NODE__BASE_PROPERTY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>AUTO_INDEX_PER_NODE__BASE_PROPERTY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference AUTO_INDEX_PER_NODE__BASE_PROPERTY</pre>
<div class="block">The meta object literal for the '<em><b>Base Property</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="COPY_ATTRIBUTE_VALUE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COPY_ATTRIBUTE_VALUE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass COPY_ATTRIBUTE_VALUE</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/CopyAttributeValueImpl.html" title="class in org.eclipse.papyrus.designer.deployment.profile.Deployment.impl"><code><em>Copy Attribute Value</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/CopyAttributeValueImpl.html" title="class in org.eclipse.papyrus.designer.deployment.profile.Deployment.impl"><code>CopyAttributeValueImpl</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/DeploymentPackageImpl.html#getCopyAttributeValue--"><code>DeploymentPackageImpl.getCopyAttributeValue()</code></a></dd>
</dl>
</li>
</ul>
<a name="COPY_ATTRIBUTE_VALUE__BASE_PROPERTY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COPY_ATTRIBUTE_VALUE__BASE_PROPERTY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference COPY_ATTRIBUTE_VALUE__BASE_PROPERTY</pre>
<div class="block">The meta object literal for the '<em><b>Base Property</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="COPY_ATTRIBUTE_VALUE__SOURCE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COPY_ATTRIBUTE_VALUE__SOURCE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference COPY_ATTRIBUTE_VALUE__SOURCE</pre>
<div class="block">The meta object literal for the '<em><b>Source</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="INIT_PRECEDENCE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INIT_PRECEDENCE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass INIT_PRECEDENCE</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/InitPrecedenceImpl.html" title="class in org.eclipse.papyrus.designer.deployment.profile.Deployment.impl"><code><em>Init Precedence</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/InitPrecedenceImpl.html" title="class in org.eclipse.papyrus.designer.deployment.profile.Deployment.impl"><code>InitPrecedenceImpl</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/DeploymentPackageImpl.html#getInitPrecedence--"><code>DeploymentPackageImpl.getInitPrecedence()</code></a></dd>
</dl>
</li>
</ul>
<a name="INIT_PRECEDENCE__BASE_CLASS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INIT_PRECEDENCE__BASE_CLASS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference INIT_PRECEDENCE__BASE_CLASS</pre>
<div class="block">The meta object literal for the '<em><b>Base Class</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="INIT_PRECEDENCE__INVOKE_BEFORE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INIT_PRECEDENCE__INVOKE_BEFORE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference INIT_PRECEDENCE__INVOKE_BEFORE</pre>
<div class="block">The meta object literal for the '<em><b>Invoke Before</b></em>' reference list feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="INIT_PRECEDENCE__INVOKE_AFTER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INIT_PRECEDENCE__INVOKE_AFTER</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference INIT_PRECEDENCE__INVOKE_AFTER</pre>
<div class="block">The meta object literal for the '<em><b>Invoke After</b></em>' reference list feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="TARGET">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TARGET</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass TARGET</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/TargetImpl.html" title="class in org.eclipse.papyrus.designer.deployment.profile.Deployment.impl"><code><em>Target</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/TargetImpl.html" title="class in org.eclipse.papyrus.designer.deployment.profile.Deployment.impl"><code>TargetImpl</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/DeploymentPackageImpl.html#getTarget--"><code>DeploymentPackageImpl.getTarget()</code></a></dd>
</dl>
</li>
</ul>
<a name="TARGET__BASE_CLASS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TARGET__BASE_CLASS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference TARGET__BASE_CLASS</pre>
<div class="block">The meta object literal for the '<em><b>Base Class</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="TARGET__USED_OS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TARGET__USED_OS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference TARGET__USED_OS</pre>
<div class="block">The meta object literal for the '<em><b>Used OS</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="TARGET__AVAIL_RAM">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TARGET__AVAIL_RAM</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute TARGET__AVAIL_RAM</pre>
<div class="block">The meta object literal for the '<em><b>Avail RAM</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="TARGET__AVAIL_ROM">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TARGET__AVAIL_ROM</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute TARGET__AVAIL_ROM</pre>
<div class="block">The meta object literal for the '<em><b>Avail ROM</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="OPERATING_SYSTEM">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>OPERATING_SYSTEM</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass OPERATING_SYSTEM</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/OperatingSystemImpl.html" title="class in org.eclipse.papyrus.designer.deployment.profile.Deployment.impl"><code><em>Operating System</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/OperatingSystemImpl.html" title="class in org.eclipse.papyrus.designer.deployment.profile.Deployment.impl"><code>OperatingSystemImpl</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/DeploymentPackageImpl.html#getOperatingSystem--"><code>DeploymentPackageImpl.getOperatingSystem()</code></a></dd>
</dl>
</li>
</ul>
<a name="OPERATING_SYSTEM__BASE_CLASS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>OPERATING_SYSTEM__BASE_CLASS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference OPERATING_SYSTEM__BASE_CLASS</pre>
<div class="block">The meta object literal for the '<em><b>Base Class</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="IMPLEMENTATION_PROPERTIES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>IMPLEMENTATION_PROPERTIES</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass IMPLEMENTATION_PROPERTIES</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/ImplementationPropertiesImpl.html" title="class in org.eclipse.papyrus.designer.deployment.profile.Deployment.impl"><code><em>Implementation Properties</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/ImplementationPropertiesImpl.html" title="class in org.eclipse.papyrus.designer.deployment.profile.Deployment.impl"><code>ImplementationPropertiesImpl</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/DeploymentPackageImpl.html#getImplementationProperties--"><code>DeploymentPackageImpl.getImplementationProperties()</code></a></dd>
</dl>
</li>
</ul>
<a name="IMPLEMENTATION_PROPERTIES__BASE_CLASS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>IMPLEMENTATION_PROPERTIES__BASE_CLASS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference IMPLEMENTATION_PROPERTIES__BASE_CLASS</pre>
<div class="block">The meta object literal for the '<em><b>Base Class</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="IMPLEMENTATION_PROPERTIES__SIZE_RAM">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>IMPLEMENTATION_PROPERTIES__SIZE_RAM</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute IMPLEMENTATION_PROPERTIES__SIZE_RAM</pre>
<div class="block">The meta object literal for the '<em><b>Size Ram</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="IMPLEMENTATION_PROPERTIES__SIZE_ROM">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>IMPLEMENTATION_PROPERTIES__SIZE_ROM</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute IMPLEMENTATION_PROPERTIES__SIZE_ROM</pre>
<div class="block">The meta object literal for the '<em><b>Size ROM</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="IMPLEMENTATION_PROPERTIES__SUPPORTED_OS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>IMPLEMENTATION_PROPERTIES__SUPPORTED_OS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference IMPLEMENTATION_PROPERTIES__SUPPORTED_OS</pre>
<div class="block">The meta object literal for the '<em><b>Supported OS</b></em>' reference list feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="IMPLEMENTATION_PROPERTIES__ARCH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>IMPLEMENTATION_PROPERTIES__ARCH</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference IMPLEMENTATION_PROPERTIES__ARCH</pre>
<div class="block">The meta object literal for the '<em><b>Arch</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="TARGET_ARCHITECTURE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TARGET_ARCHITECTURE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass TARGET_ARCHITECTURE</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/TargetArchitectureImpl.html" title="class in org.eclipse.papyrus.designer.deployment.profile.Deployment.impl"><code><em>Target Architecture</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/TargetArchitectureImpl.html" title="class in org.eclipse.papyrus.designer.deployment.profile.Deployment.impl"><code>TargetArchitectureImpl</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/DeploymentPackageImpl.html#getTargetArchitecture--"><code>DeploymentPackageImpl.getTargetArchitecture()</code></a></dd>
</dl>
</li>
</ul>
<a name="TARGET_ARCHITECTURE__BASE_CLASS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TARGET_ARCHITECTURE__BASE_CLASS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference TARGET_ARCHITECTURE__BASE_CLASS</pre>
<div class="block">The meta object literal for the '<em><b>Base Class</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="DEPLOYMENT_PLAN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEPLOYMENT_PLAN</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass DEPLOYMENT_PLAN</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/DeploymentPlanImpl.html" title="class in org.eclipse.papyrus.designer.deployment.profile.Deployment.impl"><code><em>Plan</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/DeploymentPlanImpl.html" title="class in org.eclipse.papyrus.designer.deployment.profile.Deployment.impl"><code>DeploymentPlanImpl</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/DeploymentPackageImpl.html#getDeploymentPlan--"><code>DeploymentPackageImpl.getDeploymentPlan()</code></a></dd>
</dl>
</li>
</ul>
<a name="DEPLOYMENT_PLAN__BASE_PACKAGE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEPLOYMENT_PLAN__BASE_PACKAGE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference DEPLOYMENT_PLAN__BASE_PACKAGE</pre>
<div class="block">The meta object literal for the '<em><b>Base Package</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="DEPLOYMENT_PLAN__PROJECT_MAPPINGS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEPLOYMENT_PLAN__PROJECT_MAPPINGS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute DEPLOYMENT_PLAN__PROJECT_MAPPINGS</pre>
<div class="block">The meta object literal for the '<em><b>Project Mappings</b></em>' attribute list feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="DEPLOYMENT_PLAN__CHAIN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEPLOYMENT_PLAN__CHAIN</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference DEPLOYMENT_PLAN__CHAIN</pre>
<div class="block">The meta object literal for the '<em><b>Chain</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="SINGLETON">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SINGLETON</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass SINGLETON</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/SingletonImpl.html" title="class in org.eclipse.papyrus.designer.deployment.profile.Deployment.impl"><code><em>Singleton</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/SingletonImpl.html" title="class in org.eclipse.papyrus.designer.deployment.profile.Deployment.impl"><code>SingletonImpl</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/DeploymentPackageImpl.html#getSingleton--"><code>DeploymentPackageImpl.getSingleton()</code></a></dd>
</dl>
</li>
</ul>
<a name="SINGLETON__BASE_CLASS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SINGLETON__BASE_CLASS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference SINGLETON__BASE_CLASS</pre>
<div class="block">The meta object literal for the '<em><b>Base Class</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="INSTANCE_CONFIGURATOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INSTANCE_CONFIGURATOR</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass INSTANCE_CONFIGURATOR</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/InstanceConfiguratorImpl.html" title="class in org.eclipse.papyrus.designer.deployment.profile.Deployment.impl"><code><em>Instance Configurator</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/InstanceConfiguratorImpl.html" title="class in org.eclipse.papyrus.designer.deployment.profile.Deployment.impl"><code>InstanceConfiguratorImpl</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/DeploymentPackageImpl.html#getInstanceConfigurator--"><code>DeploymentPackageImpl.getInstanceConfigurator()</code></a></dd>
</dl>
</li>
</ul>
<a name="INSTANCE_CONFIGURATOR__BASE_CLASS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INSTANCE_CONFIGURATOR__BASE_CLASS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference INSTANCE_CONFIGURATOR__BASE_CLASS</pre>
<div class="block">The meta object literal for the '<em><b>Base Class</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="INSTANCE_CONFIGURATOR__ON_NODE_MODEL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INSTANCE_CONFIGURATOR__ON_NODE_MODEL</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute INSTANCE_CONFIGURATOR__ON_NODE_MODEL</pre>
<div class="block">The meta object literal for the '<em><b>On Node Model</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="USE_INSTANCE_CONFIGURATOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>USE_INSTANCE_CONFIGURATOR</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass USE_INSTANCE_CONFIGURATOR</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/UseInstanceConfiguratorImpl.html" title="class in org.eclipse.papyrus.designer.deployment.profile.Deployment.impl"><code><em>Use Instance Configurator</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/UseInstanceConfiguratorImpl.html" title="class in org.eclipse.papyrus.designer.deployment.profile.Deployment.impl"><code>UseInstanceConfiguratorImpl</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/DeploymentPackageImpl.html#getUseInstanceConfigurator--"><code>DeploymentPackageImpl.getUseInstanceConfigurator()</code></a></dd>
</dl>
</li>
</ul>
<a name="USE_INSTANCE_CONFIGURATOR__BASE_CLASS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>USE_INSTANCE_CONFIGURATOR__BASE_CLASS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference USE_INSTANCE_CONFIGURATOR__BASE_CLASS</pre>
<div class="block">The meta object literal for the '<em><b>Base Class</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="USE_INSTANCE_CONFIGURATOR__CONFIGURATOR">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>USE_INSTANCE_CONFIGURATOR__CONFIGURATOR</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference USE_INSTANCE_CONFIGURATOR__CONFIGURATOR</pre>
<div class="block">The meta object literal for the '<em><b>Configurator</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DeploymentPackage.Literals.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.html" title="interface in org.eclipse.papyrus.designer.deployment.profile.Deployment"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPlan.html" title="interface in org.eclipse.papyrus.designer.deployment.profile.Deployment"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.Literals.html" target="_top">Frames</a></li>
<li><a href="DeploymentPackage.Literals.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
